# 2024 Annual Report: SIG Cluster Lifecycle

## Current initiatives and Project Health

1. What work did the SIG do this year that should be highlighted?

<!--
   Some example items that might be worth highlighting:
   - Major KEP advancement
   - Important initiatives that aren't tracked via KEPs
   - Paying down significant tech debt
   - Governance and leadership changes
-->

2. Are there any areas and/or subprojects that your group needs help with (e.g. fewer than 2 active OWNERS)?


3. Did you have community-wide updates in 2024 (e.g. KubeCon talks)?

<!--
  Examples include links to email, slides, or recordings.
-->

4. KEP work in 2024 (v1.30, v1.31, v1.32):
<!--
   TODO: Uncomment the following auto-generated list of KEPs, once reviewed & updated for correction.

   Note: This list is generated from the KEP metadata in kubernetes/enhancements repository.
      If you find any discrepancy in the generated list here, please check the KEP metadata.
      Please raise an issue in kubernetes/community, if the KEP metadata is correct but the generated list is incorrect.
-->

<!-- 
  - Alpha
    - [4656 - Add kubelet instance configuration to configure CRI socket for each node](https://github.com/kubernetes/enhancements/tree/master/keps/sig-cluster-lifecycle/4656-add-kubelet-instance-configuration) - v1.32

 -->

## [Subprojects](https://git.k8s.io/community/sig-cluster-lifecycle#subprojects)


**New in 2024:**
  - karpenter-provider-cluster-api
**Retired in 2024:**
  - etcdadm
  - cluster-api-provider-nested
**Continuing:**
  - cluster-addons
  - cluster-api
  - cluster-api-addon-provider-helm
  - cluster-api-ipam-provider-in-cluster
  - cluster-api-operator
  - cluster-api-provider-aws
  - cluster-api-provider-azure
  - cluster-api-provider-cloudstack
  - cluster-api-provider-digitalocean
  - cluster-api-provider-gcp
  - cluster-api-provider-ibmcloud
  - cluster-api-provider-kubemark
  - cluster-api-provider-kubevirt
  - cluster-api-provider-openstack
  - cluster-api-provider-packet
  - cluster-api-provider-vsphere
  - image-builder
  - kOps
  - kubeadm
  - kubespray
  - minikube

## [Working groups](https://git.k8s.io/community/sig-cluster-lifecycle#working-groups)

**New in 2024:**
 - etcd Operator
**Continuing:**
 - LTS

## Operational

Operational tasks in [sig-governance.md]:
- [ ] [README.md] reviewed for accuracy and updated if needed
- [ ] [CONTRIBUTING.md] reviewed for accuracy and updated if needed
- [ ] Other contributing docs (e.g. in devel dir or contributor guide) reviewed for accuracy and updated if needed
- [ ] Subprojects list and linked OWNERS files in [sigs.yaml] reviewed for accuracy and updated if needed
- [ ] SIG leaders (chairs, tech leads, and subproject leads) in [sigs.yaml] are accurate and active, and updated if needed
- [ ] Meeting notes and recordings for 2024 are linked from [README.md] and updated/uploaded if needed


[CONTRIBUTING.md]: https://git.k8s.io/community/sig-cluster-lifecycle/CONTRIBUTING.md
[sig-governance.md]: https://git.k8s.io/community/committee-steering/governance/sig-governance.md
[README.md]: https://git.k8s.io/community/sig-cluster-lifecycle/README.md
[sigs.yaml]: https://git.k8s.io/community/sigs.yaml
[devel]: https://git.k8s.io/community/contributors/devel/README.md
